From ec566328b561470a40bee9545e530d060b8ce243 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Sat, 26 Mar 2022 05:15:36 +0000
Subject: [PATCH v1] Remove an unused function GetWalRcvWriteRecPtr

---
 src/backend/replication/walreceiverfuncs.c | 12 ------------
 src/include/replication/walreceiver.h      |  1 -
 2 files changed, 13 deletions(-)

diff --git a/src/backend/replication/walreceiverfuncs.c b/src/backend/replication/walreceiverfuncs.c
index 90798b9d53..a921460216 100644
--- a/src/backend/replication/walreceiverfuncs.c
+++ b/src/backend/replication/walreceiverfuncs.c
@@ -345,18 +345,6 @@ GetWalRcvFlushRecPtr(XLogRecPtr *latestChunkStart, TimeLineID *receiveTLI)
 	return recptr;
 }
 
-/*
- * Returns the last+1 byte position that walreceiver has written.
- * This returns a recently written value without taking a lock.
- */
-XLogRecPtr
-GetWalRcvWriteRecPtr(void)
-{
-	WalRcvData *walrcv = WalRcv;
-
-	return pg_atomic_read_u64(&walrcv->writtenUpto);
-}
-
 /*
  * Returns the replication apply delay in ms or -1
  * if the apply delay info is not available
diff --git a/src/include/replication/walreceiver.h b/src/include/replication/walreceiver.h
index 92f73a55b8..a6b15b2df7 100644
--- a/src/include/replication/walreceiver.h
+++ b/src/include/replication/walreceiver.h
@@ -464,7 +464,6 @@ extern void RequestXLogStreaming(TimeLineID tli, XLogRecPtr recptr,
 								 const char *conninfo, const char *slotname,
 								 bool create_temp_slot);
 extern XLogRecPtr GetWalRcvFlushRecPtr(XLogRecPtr *latestChunkStart, TimeLineID *receiveTLI);
-extern XLogRecPtr GetWalRcvWriteRecPtr(void);
 extern int	GetReplicationApplyDelay(void);
 extern int	GetReplicationTransferLatency(void);
 extern void WalRcvForceReply(void);
-- 
2.25.1

